## org.apache.xerces.stax.events
Class NotationDeclarationImpl

    java.lang.Object
      |
      +--org.apache.xerces.stax.events.XMLEventImpl
            |
            +--org.apache.xerces.stax.events.NotationDeclarationImpl

All Implemented Interfaces:
  javax.xml.stream.events.NotationDeclaration, javax.xml.stream.events.XMLEvent, javax.xml.stream.XMLStreamConstants

public final class NotationDeclarationImpl
extends org.apache.xerces.stax.events.XMLEventImpl
implements javax.xml.stream.events.NotationDeclaration

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: NotationDeclarationImpl.java 730471 2008-12-31 20:45:32Z mrglavas $
Author:
  Lucian Holland

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`NotationDeclarationImpl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, javax.xml.stream.Location location)`

Method Summary
`javax.xml.stream.events.Characters` `asCharacters()`
`javax.xml.stream.events.EndElement` `asEndElement()`
`javax.xml.stream.events.StartElement` `asStartElement()`
`int` `getEventType()`
`javax.xml.stream.Location` `getLocation()`
`java.lang.String` `getName()`
`java.lang.String` `getPublicId()`
`javax.xml.namespace.QName` `getSchemaType()`
`java.lang.String` `getSystemId()`
`boolean` `isAttribute()`
`boolean` `isCharacters()`
`boolean` `isEndDocument()`
`boolean` `isEndElement()`
`boolean` `isEntityReference()`
`boolean` `isNamespace()`
`boolean` `isProcessingInstruction()`
`boolean` `isStartDocument()`
`boolean` `isStartElement()`
`java.lang.String` `toString()`
`void` `writeAsEncodedUnicode(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement`

Constructor Detail

### NotationDeclarationImpl

    public NotationDeclarationImpl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   javax.xml.stream.Location location)

  Parameters:
    `eventType` -
    `location` -
    `schemaType` -

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.xml.stream.events.NotationDeclaration`
  See Also:
    `NotationDeclaration.getName()`

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `javax.xml.stream.events.NotationDeclaration`
  See Also:
    `NotationDeclaration.getPublicId()`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.stream.events.NotationDeclaration`
  See Also:
    `NotationDeclaration.getSystemId()`

### writeAsEncodedUnicode

    public void writeAsEncodedUnicode(java.io.Writer writer)
                               throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeAsEncodedUnicode` in interface `javax.xml.stream.events.XMLEvent`

### getEventType

    public final int getEventType()

  Specified by:
    `getEventType` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getEventType()`

### getLocation

    public final javax.xml.stream.Location getLocation()

  Specified by:
    `getLocation` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getLocation()`

### isStartElement

    public final boolean isStartElement()

  Specified by:
    `isStartElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isStartElement()`

### isAttribute

    public final boolean isAttribute()

  Specified by:
    `isAttribute` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isAttribute()`

### isNamespace

    public final boolean isNamespace()

  Specified by:
    `isNamespace` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isNamespace()`

### isEndElement

    public final boolean isEndElement()

  Specified by:
    `isEndElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEndElement()`

### isEntityReference

    public final boolean isEntityReference()

  Specified by:
    `isEntityReference` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEntityReference()`

### isProcessingInstruction

    public final boolean isProcessingInstruction()

  Specified by:
    `isProcessingInstruction` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isProcessingInstruction()`

### isCharacters

    public final boolean isCharacters()

  Specified by:
    `isCharacters` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isCharacters()`

### isStartDocument

    public final boolean isStartDocument()

  Specified by:
    `isStartDocument` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isStartDocument()`

### isEndDocument

    public final boolean isEndDocument()

  Specified by:
    `isEndDocument` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.isEndDocument()`

### asStartElement

    public final javax.xml.stream.events.StartElement asStartElement()

  Specified by:
    `asStartElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asStartElement()`

### asEndElement

    public final javax.xml.stream.events.EndElement asEndElement()

  Specified by:
    `asEndElement` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asEndElement()`

### asCharacters

    public final javax.xml.stream.events.Characters asCharacters()

  Specified by:
    `asCharacters` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.asCharacters()`

### getSchemaType

    public final javax.xml.namespace.QName getSchemaType()

  Specified by:
    `getSchemaType` in interface `javax.xml.stream.events.XMLEvent`
  See Also:
    `XMLEvent.getSchemaType()`

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.